Checklist 5 endpoints

GET /checklists/{idChecklist}/checkItems/{idCheckItem}
operationId: Checklist_getCheckItemsByIdChecklistByIdCheckItem

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

idCheckItem path required string

idCheckItem

fields query optional string

all or a comma-separated list of: name, nameData, pos, state or type

Responses

200

Success

400

Server rejection

GET /checklists/{idChecklist}/checkItems/{idCheckItem}
PUT /checklists/{idChecklist}/idCard
operationId: Checklist_updateIdCardByIdChecklist

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

Request Body

required

Attributes of “Checklists Id Card” to be updated.

application/json
schema checklists_idCard
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /checklists/{idChecklist}/idCard
PUT /checklists/{idChecklist}/name
operationId: Checklist_updateNameByIdChecklist

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

Request Body

required

Attributes of “Checklists Name” to be updated.

application/json
schema checklists_name
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /checklists/{idChecklist}/name
PUT /checklists/{idChecklist}/pos
operationId: Checklist_updatePosByIdChecklist

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

Request Body

required

Attributes of “Checklists Pos” to be updated.

application/json
schema checklists_pos
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /checklists/{idChecklist}/pos
GET /checklists/{idChecklist}/{field}
operationId: Checklist_getByIdField

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

field path required string

field

Responses

200

Success

400

Server rejection

GET /checklists/{idChecklist}/{field}

Label 8 endpoints

POST /labels
operationId: Label_createLabels

Request Body

required

Attributes of “Labels” to be added.

application/json
schema labels
Property Type Required
name string optional
color string optional
idBoard string optional

Responses

200

Success

400

Server rejection

POST /labels
DELETE /labels/{idLabel}
operationId: Label_removeByIdLabel

Parameters

Name In Required Type Description
idLabel path required string

idLabel

Responses

200

Success

400

Server rejection

DELETE /labels/{idLabel}
GET /labels/{idLabel}
operationId: Label_getByIdLabel

Parameters

Name In Required Type Description
idLabel path required string

idLabel

fields query optional string

all or a comma-separated list of: color, idBoard, name or uses

Responses

200

Success

400

Server rejection

GET /labels/{idLabel}
PUT /labels/{idLabel}
operationId: Label_updateByIdLabel

Parameters

Name In Required Type Description
idLabel path required string

idLabel

Request Body

required

Attributes of “Labels” to be updated.

application/json
schema labels
Property Type Required
name string optional
color string optional
idBoard string optional

Responses

200

Success

400

Server rejection

PUT /labels/{idLabel}
GET /labels/{idLabel}/board
operationId: Label_getBoardByIdLabel

Parameters

Name In Required Type Description
idLabel path required string

idLabel

fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

Responses

200

Success

400

Server rejection

GET /labels/{idLabel}/board
GET /labels/{idLabel}/board/{field}
operationId: Label_getBoardByIdLabelByField

Parameters

Name In Required Type Description
idLabel path required string

idLabel

field path required string

field

Responses

200

Success

400

Server rejection

GET /labels/{idLabel}/board/{field}
PUT /labels/{idLabel}/color
operationId: Label_updateColorByIdLabel

Parameters

Name In Required Type Description
idLabel path required string

idLabel

Request Body

required

Attributes of “Labels Color” to be updated.

application/json
schema labels_color
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /labels/{idLabel}/color
PUT /labels/{idLabel}/name
operationId: Label_updateNameByIdLabel

Parameters

Name In Required Type Description
idLabel path required string

idLabel

Request Body

required

Attributes of “Labels Name” to be updated.

application/json
schema labels_name
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /labels/{idLabel}/name

List 17 endpoints

POST /lists
operationId: List_createList

Request Body

required

Attributes of “Lists” to be added.

application/json
schema lists
Property Type Required
pos string optional
name string optional
closed string optional
idBoard string optional
subscribed string optional
idListSource string optional

Responses

200

Success

400

Server rejection

POST /lists
GET /lists/{idList}
operationId: List_getByIdList

Parameters

Name In Required Type Description
idList path required string

idList

cards query optional string

One of: all, closed, none or open

card_fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

board query optional string

true or false

board_fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

fields query optional string

all or a comma-separated list of: closed, idBoard, name, pos or subscribed

Responses

200

Success

400

Server rejection

GET /lists/{idList}
PUT /lists/{idList}
operationId: List_updateByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Request Body

required

Attributes of “Lists” to be updated.

application/json
schema lists
Property Type Required
pos string optional
name string optional
closed string optional
idBoard string optional
subscribed string optional
idListSource string optional

Responses

200

Success

400

Server rejection

PUT /lists/{idList}
GET /lists/{idList}/actions
operationId: List_getActionsByIdList

Parameters

Name In Required Type Description
idList path required string

idList

entities query optional string

true or false

display query optional string

true or false

filter query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

fields query optional string

all or a comma-separated list of: data, date, idMemberCreator or type

limit query optional string

a number from 0 to 1000

format query optional string

One of: count, list or minimal

since query optional string

A date, null or lastView

before query optional string

A date, or null

page query optional string

Page * limit must be less than 1000

idModels query optional string

Only return actions related to these model ids

member query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

memberCreator query optional string

true or false

memberCreator_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /lists/{idList}/actions
POST /lists/{idList}/archiveAllCards
operationId: List_archiveAllCardsByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Responses

200

Success

400

Server rejection

POST /lists/{idList}/archiveAllCards
GET /lists/{idList}/board
operationId: List_idBoardGet

Parameters

Name In Required Type Description
idList path required string

idList

fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

Responses

200

Success

400

Server rejection

GET /lists/{idList}/board
GET /lists/{idList}/board/{field}
operationId: List_getBoardByIdListByField

Parameters

Name In Required Type Description
idList path required string

idList

field path required string

field

Responses

200

Success

400

Server rejection

GET /lists/{idList}/board/{field}
GET /lists/{idList}/cards
operationId: List_getCardsByIdList

Parameters

Name In Required Type Description
idList path required string

idList

actions query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

attachments query optional string

A boolean value or "cover" for only card cover attachments

attachment_fields query optional string

all or a comma-separated list of: bytes, date, edgeColor, idMember, isUpload, mimeType, name, previews or url

stickers query optional string

true or false

members query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

checkItemStates query optional string

true or false

checklists query optional string

One of: all or none

limit query optional string

a number from 1 to 1000

since query optional string

A date, or null

before query optional string

A date, or null

filter query optional string

One of: all, closed, none or open

fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

Responses

200

Success

400

Server rejection

GET /lists/{idList}/cards
POST /lists/{idList}/cards
operationId: List_createCardsByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Request Body

required

Attributes of “Lists Cards” to be added.

application/json
schema lists_cards
Property Type Required
due string optional
desc string optional
name string optional
labels string optional
idMembers string optional

Responses

200

Success

400

Server rejection

POST /lists/{idList}/cards
GET /lists/{idList}/cards/{filter}
operationId: List_getCardsByFilter

Parameters

Name In Required Type Description
idList path required string

idList

filter path required string

filter

Responses

200

Success

400

Server rejection

GET /lists/{idList}/cards/{filter}
PUT /lists/{idList}/closed
operationId: List_updateClosedByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Request Body

required

Attributes of “Lists Closed” to be updated.

application/json
schema lists_closed
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /lists/{idList}/closed
PUT /lists/{idList}/idBoard
operationId: List_updateIdBoardByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Request Body

required

Attributes of “Lists Id Board” to be updated.

application/json
schema lists_idBoard
Property Type Required
pos string optional
value string optional

Responses

200

Success

400

Server rejection

PUT /lists/{idList}/idBoard
POST /lists/{idList}/moveAllCards
operationId: List_moveAllCardsByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Request Body

required

Attributes of “Lists Move All Cards” to be added.

application/json
schema lists_moveAllCards
Property Type Required
idBoard string optional

Responses

200

Success

400

Server rejection

POST /lists/{idList}/moveAllCards
PUT /lists/{idList}/name
operationId: List_updateNameByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Request Body

required

Attributes of “Lists Name” to be updated.

application/json
schema lists_name
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /lists/{idList}/name
PUT /lists/{idList}/pos
operationId: List_updatePosByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Request Body

required

Attributes of “Lists Pos” to be updated.

application/json
schema lists_pos
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /lists/{idList}/pos
PUT /lists/{idList}/subscribed
operationId: List_updateSubscribedByIdList

Parameters

Name In Required Type Description
idList path required string

idList

Request Body

required

Attributes of “Lists Subscribed” to be updated.

application/json
schema lists_subscribed
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /lists/{idList}/subscribed
GET /lists/{idList}/{field}
operationId: List_getByIdListByField

Parameters

Name In Required Type Description
idList path required string

idList

field path required string

field

Responses

200

Success

400

Server rejection

GET /lists/{idList}/{field}

Member 20 endpoints

GET /members/{idMember}

If you specify ‘me’ as the username, this call will respond as if you had supplied the username associated with the supplied token

operationId: Member_getById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

actions query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

actions_entities query optional string

true or false

actions_display query optional string

true or false

actions_limit query optional string

a number from 0 to 1000

action_fields query optional string

all or a comma-separated list of: data, date, idMemberCreator or type

action_since query optional string

A date, null or lastView

action_before query optional string

A date, or null

cards query optional string

One of: all, closed, none, open or visible

card_fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

card_members query optional string

true or false

card_member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

card_attachments query optional string

A boolean value or "cover" for only card cover attachments

card_attachment_fields query optional string

all or a comma-separated list of: bytes, date, edgeColor, idMember, isUpload, mimeType, name, previews or url

card_stickers query optional string

true or false

boards query optional string

all or a comma-separated list of: closed, members, open, organization, pinned, public, starred or unpinned

board_fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

board_actions query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

board_actions_entities query optional string

true or false

board_actions_display query optional string

true or false

board_actions_format query optional string

One of: count, list or minimal

board_actions_since query optional string

A date, null or lastView

board_actions_limit query optional string

a number from 0 to 1000

board_action_fields query optional string

all or a comma-separated list of: data, date, idMemberCreator or type

board_lists query optional string

One of: all, closed, none or open

board_memberships query optional string

all or a comma-separated list of: active, admin, deactivated, me or normal

board_organization query optional string

true or false

board_organization_fields query optional string

all or a comma-separated list of: billableMemberCount, desc, descData, displayName, idBoards, invitations, invited, logoHash, memberships, name, powerUps, prefs, premiumFeatures, products, url or website

boardsInvited query optional string

all or a comma-separated list of: closed, members, open, organization, pinned, public, starred or unpinned

boardsInvited_fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

boardStars query optional string

true or false

savedSearches query optional string

true or false

organizations query optional string

One of: all, members, none or public

organization_fields query optional string

all or a comma-separated list of: billableMemberCount, desc, descData, displayName, idBoards, invitations, invited, logoHash, memberships, name, powerUps, prefs, premiumFeatures, products, url or website

organization_paid_account query optional string

true or false

organizationsInvited query optional string

One of: all, members, none or public

organizationsInvited_fields query optional string

all or a comma-separated list of: billableMemberCount, desc, descData, displayName, idBoards, invitations, invited, logoHash, memberships, name, powerUps, prefs, premiumFeatures, products, url or website

notifications query optional string

all or a comma-separated list of: addAdminToBoard, addAdminToOrganization, addedAttachmentToCard, addedMemberToCard, addedToBoard, addedToCard, addedToOrganization, cardDueSoon, changeCard, closeBoard, commentCard, createdCard, declinedInvitationToBoard, declinedInvitationToOrganization, invitedToBoard, invitedToOrganization, makeAdminOfBoard, makeAdminOfOrganization, memberJoinedTrello, mentionedOnCard, removedFromBoard, removedFromCard, removedFromOrganization, removedMemberFromCard, unconfirmedInvitedToBoard, unconfirmedInvitedToOrganization or updateCheckItemStateOnCard

notifications_entities query optional string

true or false

notifications_display query optional string

true or false

notifications_limit query optional string

a number from 1 to 1000

notification_fields query optional string

all or a comma-separated list of: data, date, idMemberCreator, type or unread

notification_memberCreator query optional string

true or false

notification_memberCreator_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

notification_before query optional string

An id, or null

notification_since query optional string

An id, or null

tokens query optional string

One of: all or none

paid_account query optional string

true or false

boardBackgrounds query optional string

One of: all, custom, default, none or premium

customBoardBackgrounds query optional string

One of: all or none

customStickers query optional string

One of: all or none

customEmoji query optional string

One of: all or none

fields query optional string

all or a comma-separated list of: avatarHash, avatarSource, bio, bioData, confirmed, email, fullName, gravatarHash, idBoards, idBoardsPinned, idOrganizations, idPremOrgsAdmin, initials, loginTypes, memberType, oneTimeMessagesDismissed, prefs, premiumFeatures, products, status, status, trophies, uploadedAvatarHash, url or username

Responses

200

Success

400

Server rejection

GET /members/{idMember}
PUT /members/{idMember}
operationId: Member_updateByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members” to be updated.

application/json
schema members
Property Type Required
bio string optional
fullName string optional
initials string optional
username string optional
avatarSource string optional
prefs/locale string optional
prefs/colorBlind string optional
prefs/minutesBetweenSummaries string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}
GET /members/{idMember}/actions
operationId: Member_listActionsByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

entities query optional string

true or false

display query optional string

true or false

filter query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

fields query optional string

all or a comma-separated list of: data, date, idMemberCreator or type

limit query optional string

a number from 0 to 1000

format query optional string

One of: count, list or minimal

since query optional string

A date, null or lastView

before query optional string

A date, or null

page query optional string

Page * limit must be less than 1000

idModels query optional string

Only return actions related to these model ids

member query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

memberCreator query optional string

true or false

memberCreator_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /members/{idMember}/actions
POST /members/{idMember}/avatar
operationId: Member_uploadAvatarById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Avatar” to be added.

application/json
schema members_avatar
Property Type Required
file string optional

Responses

200

Success

400

Server rejection

POST /members/{idMember}/avatar
PUT /members/{idMember}/avatarSource
operationId: Member_updateAvatarSource

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Avatar Source” to be updated.

application/json
schema members_avatarSource
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/avatarSource
PUT /members/{idMember}/bio
operationId: Member_updateBioById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Bio” to be updated.

application/json
schema members_bio
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/bio
GET /members/{idMember}/boardBackgrounds
operationId: Member_getBoardBackgroundsById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter query optional string

One of: all, custom, default, none or premium

Responses

200

Success

400

Server rejection

GET /members/{idMember}/boardBackgrounds
POST /members/{idMember}/boardBackgrounds
operationId: Member_addBoardBackgrounds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Board Backgrounds” to be added.

application/json
schema members_boardBackgrounds
Property Type Required
file string optional
tile string optional
brightness string optional

Responses

200

Success

400

Server rejection

POST /members/{idMember}/boardBackgrounds
DELETE /members/{idMember}/boardBackgrounds/{idBoardBackground}
operationId: Member_deleteBoardBackground

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardBackground path required string

idBoardBackground

Responses

200

Success

400

Server rejection

DELETE /members/{idMember}/boardBackgrounds/{idBoardBackground}
GET /members/{idMember}/boardBackgrounds/{idBoardBackground}
operationId: Member_getBoardBackgroundByIds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardBackground path required string

idBoardBackground

fields query optional string

all or a comma-separated list of: brightness, fullSizeUrl, scaled or tile

Responses

200

Success

400

Server rejection

GET /members/{idMember}/boardBackgrounds/{idBoardBackground}
PUT /members/{idMember}/boardBackgrounds/{idBoardBackground}
operationId: Member_updateBoardBackgroundsById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardBackground path required string

idBoardBackground

Request Body

required

Attributes of “Members Board Backgrounds” to be updated.

application/json
schema members_boardBackgrounds
Property Type Required
file string optional
tile string optional
brightness string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/boardBackgrounds/{idBoardBackground}
GET /members/{idMember}/boardStars
operationId: Member_getBoardStarsById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Responses

200

Success

400

Server rejection

GET /members/{idMember}/boardStars
POST /members/{idMember}/boardStars
operationId: Member_addBoardStarsByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Board Stars” to be added.

application/json
schema members_boardStars
Property Type Required
pos string optional
idBoard string optional

Responses

200

Success

400

Server rejection

POST /members/{idMember}/boardStars
DELETE /members/{idMember}/boardStars/{idBoardStar}
operationId: Member_removeBoardStarByIdMemberByIdBoardStar

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardStar path required string

idBoardStar

Responses

200

Success

400

Server rejection

DELETE /members/{idMember}/boardStars/{idBoardStar}
GET /members/{idMember}/boardStars/{idBoardStar}
operationId: Member_getBoardStarByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardStar path required string

idBoardStar

Responses

200

Success

400

Server rejection

GET /members/{idMember}/boardStars/{idBoardStar}
PUT /members/{idMember}/boardStars/{idBoardStar}
operationId: Member_updateBoardStar

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardStar path required string

idBoardStar

Request Body

required

Attributes of “Members Board Stars” to be updated.

application/json
schema members_boardStars
Property Type Required
pos string optional
idBoard string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/boardStars/{idBoardStar}
PUT /members/{idMember}/boardStars/{idBoardStar}/idBoard
operationId: Member_updateBoardStarsIdBoard

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardStar path required string

idBoardStar

Request Body

required

Attributes of “Members Board Stars Id Board” to be updated.

application/json
schema members_boardStars_idBoard
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/boardStars/{idBoardStar}/idBoard
PUT /members/{idMember}/boardStars/{idBoardStar}/pos
operationId: Member_updateBoardStarPosByIdMemberByIdBoardStar

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardStar path required string

idBoardStar

Request Body

required

Attributes of “Members Board Stars Pos” to be updated.

application/json
schema members_boardStars_pos
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/boardStars/{idBoardStar}/pos
GET /members/{idMember}/boards
operationId: Member_getBoardsByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter query optional string

all or a comma-separated list of: closed, members, open, organization, pinned, public, starred or unpinned

fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

actions query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

actions_entities query optional string

true or false

actions_limit query optional string

a number from 0 to 1000

actions_format query optional string

One of: count, list or minimal

actions_since query optional string

A date, null or lastView

action_fields query optional string

all or a comma-separated list of: data, date, idMemberCreator or type

memberships query optional string

all or a comma-separated list of: active, admin, deactivated, me or normal

organization query optional string

true or false

organization_fields query optional string

all or a comma-separated list of: billableMemberCount, desc, descData, displayName, idBoards, invitations, invited, logoHash, memberships, name, powerUps, prefs, premiumFeatures, products, url or website

lists query optional string

One of: all, closed, none or open

Responses

200

Success

400

Server rejection

GET /members/{idMember}/boards
GET /members/{idMember}/boards/{filter}
operationId: Member_getBoards

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter path required string

filter

Responses

200

Success

400

Server rejection

GET /members/{idMember}/boards/{filter}
Load more endpoints